
Name: brackup
Summary: Brackup - a flexible backup tool
Version: 1.09.20090526
Release: 1%{?org_tag}%{dist}
Source0: %{name}-%{version}.tar.gz
License: Artistic
URL: http://code.google.com/p/brackup/
Group: Applications/System
Packager: Gavin Carr <gavin@openfusion.com.au>
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: perl-MP3-Info

%description
Brackup is a flexible backup tool, that slices, dices, encrypts, and sprays 
across the net. Backend targets supported include local filesystems, standard 
FTP and SFTP servers, and Amazon's S3 storage service.

%package mount
Summary: brackup-mount utility
Group: Applications/System
Requires: brackup = %{version}

%description mount
brackup-mount is a utility for mounting a brackup backup as a filesystem.

%package amazon-s3
Summary: Brackup target for Amazon S3
Group: Applications/System
Requires: brackup = %{version}

%description amazon-s3
brackup-amazon-s3 supplies the Amazon S3 target for the brackup backup tool.

%package cloudfiles
Summary: Brackup target for the Mosso Cloud Files service
Group: Applications/System
Requires: brackup = %{version}

%description cloudfiles
brackup-cloudfiles supplies the Mosso Cloud Files target for the brackup backup tool.

%package sftp
Summary: Brackup SFTP target
Group: Applications/System
Requires: brackup = %{version}

%description sftp
brackup-sftp supplies the SFTP target for the brackup backup tool.

%package target-utils
Summary: Brackup utilities for use on targets/servers.
Group: Applications/System

%description target-utils
brackup-target-utils contains optional brackup utilities for use on brackup
targets/servers.

%prep
%setup

%build
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
perl Makefile.PL PREFIX=%{buildroot}/usr
make
#make test

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_libdir}
mkdir -p %{buildroot}%{_mandir}
make install

# Cleanup stuff we don't need
rm -rf %{buildroot}%{_libdir}/perl5/5*
rm -rf %{buildroot}%{_libdir}/perl5/site_perl/*/i386-linux-thread-multi
rm -f  %{buildroot}%{_libdir}/perl5/site_perl/*/makedocs.pl

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes TODO
%doc doc/*
%{_bindir}/brackup
%{_bindir}/brackup-restore
%{_bindir}/brackup-target
%{_bindir}/brackup-verify-inventory
%{_libdir}/perl5/site_perl/5*/Brackup.pm
%{_libdir}/perl5/site_perl/5*/Brackup/[A-LN-SU-Z]*
%{_libdir}/perl5/site_perl/5*/Brackup/Manual
%{_libdir}/perl5/site_perl/5*/Brackup/Metafile.pm
%{_libdir}/perl5/site_perl/5*/Brackup/Target.pm
%{_libdir}/perl5/site_perl/5*/Brackup/Target/Filebased.pm
%{_libdir}/perl5/site_perl/5*/Brackup/Target/Filesystem.pm
%{_libdir}/perl5/site_perl/5*/Brackup/Target/Ftp.pm
%{_libdir}/perl5/site_perl/5*/Brackup/TargetBackupStatInfo.pm
%{_libdir}/perl5/site_perl/5*/Brackup/Test.pm
%{_mandir}/man1/brackup.1.gz
%{_mandir}/man1/brackup-restore.1.gz
%{_mandir}/man1/brackup-target.1.gz
%{_mandir}/man1/brackup-verify-inventory.1.gz
%{_mandir}/man3/Brackup.3pm.gz
%{_mandir}/man3/Brackup::[A-LN-SU-Z]*pm.gz
%{_mandir}/man3/Brackup::Manual::Overview.3pm.gz
%{_mandir}/man3/Brackup::Target.3pm.gz
%{_mandir}/man3/Brackup::Target::Filesystem.3pm.gz
%{_mandir}/man3/Brackup::Target::Ftp.3pm.gz

%files mount
%defattr(-,root,root)
%{_bindir}/brackup-mount
%{_libdir}/perl5/site_perl/5*/Brackup/Mount.pm
%{_mandir}/man1/brackup-mount.1.gz
%{_mandir}/man3/Brackup::Mount.3pm.gz

%files amazon-s3
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/5*/Brackup/Target/Amazon.pm
%{_mandir}/man3/Brackup::Target::Amazon.3pm.gz

%files cloudfiles
%{_libdir}/perl5/site_perl/5.8.8/Brackup/Target/CloudFiles.pm
%{_mandir}/man3/Brackup::Target::CloudFiles.3pm.gz

%files sftp
%defattr(-,root,root)
%{_libdir}/perl5/site_perl/5*/Brackup/Target/Sftp.pm
%{_mandir}/man3/Brackup::Target::Sftp.3pm.gz

%files target-utils
%{_bindir}/brackup-verify-chunks
%{_mandir}/man1/brackup-verify-chunks.1.gz

%changelog

* Tue May 26 2009 Gavin Carr <gavin@openfusion.com.au> - 1.09.20090526
- Sync with upstream 1.09 release, including Mosso Cloud Files target.

* Thu Apr 16 2009 Gavin Carr <gavin@openfusion.com.au> - 1.07.20090416
- Add Amazon target ISO8601 modify timestamp handling.

* Mon Apr 13 2009 Gavin Carr <gavin@openfusion.com.au> - 1.07.20090413
- Add --interactive mode to brackup-target gc.
- Add --source support to brackup-target prune.

* Tue Nov 18 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20081118b
- Make brackup-target gc more verbose still, reporting chunks with -v -v.

* Tue Nov 18 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20081118
- Move colon unescaping fix for Brackup::Target::*::chunks.
- Add additional gc unit tests for ftp and sftp targets.

* Mon Nov 17 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20081117
- Fix typo in Brackup::Target::Sftp::chunks.
- Fix inversion bug in brackup-target prune --keep-backups option handling.
- Make brackup-target prune and gc more verbose; fix buglet in 04_gc.t.
- Add first-pass 'type' filtering to brackup-target prune.
- Fix bug in colon-escaped chunk comparison problem in Brackup::Target::gc.

* Fri Nov 14 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20081107
- Sync with upstream:
  o add headings, date formatting, and sorting to brackup-target list_backups
  o make brackup-restore report errors if nothing is restored

* Thu Aug 28 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806i
- Use POSIX::_exit in brackup to workaround exit hang problems.

* Mon Aug 25 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806h
- Rename --no-inventory brackup flag to --no-inventory-check.
- Add --no-inventory-update flag to brackup.
- Add size checks shortcuts to Target::{Ftp,Sftp}::store_chunks.

* Mon Aug 25 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806g
- Fix memoisation bug in brackup-verify-inventory.

* Mon Aug 25 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806f
- Add --delete functionality to brackup-verify-inventory.
- Add two levels of verboseness to brackup-verify-inventory.
- Make brackup-verify-chunks verbose handling similar to brackup-verify-inventory.
- Add experimental remote store_chunk size check to Ftp/Sftp targets.

* Fri Aug 15 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806e
- Add first-pass brackup-verify-inventory (and associated changes).

* Thu Aug 14 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806d
- Avoid clobbering brackup and stats files on repeat runs.
- Add a --no-inventory flag to brackup to bypass inventory checks.

* Wed Aug 13 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806c
- Add --save-stats support to BackupStats.
- Add --gtop-stats support to BackupStats.

* Tue Aug 12 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806b
- Add some first-pass BackupStats.

* Wed Aug 06 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080806
- Update to svn r209 20080806.

* Mon Aug 04 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080804
- Update to svn r208 20080804.

* Wed Jul 30 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080730
- Update to svn r203 20080730.

* Mon Jul 07 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080629d
- Tweak Brackup::Target::Sftp colon handling parameters to match Filesystem.

* Tue Jul 01 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080629a
- Update Brackup::Target::Sftp with autoretry and sftp_port functionality.

* Mon Jun 30 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080629
- Update to svn r200 20080629.

* Thu Jun 26 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080618b
- Bump to 20080618b, including initial Brackup::Target::Sftp.

* Tue Jun 24 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080618a
- Bump to 20080618a, including a few minor restore tweaks.

* Thu Jun 18 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080618
- Update to svn r197 20080618.

* Wed Apr 30 2008 Gavin Carr <gavin@openfusion.com.au> - 1.06.20080420
- Initial spec file, version 1.06, svn r194 20080420.

